LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
InvalidateStyle.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::awt
| Java AWT-like user interface toolkit interface specifications for UNO.

## Constant Groups
constants | com::sun::star::awt::InvalidateStyle
| specifies how to invalidate windows.

## Variables
const short | CHILDREN = 1
| The child windows are invalidated, too.
const short | NOCHILDREN = 2
| The child windows are not invalidated.
const short | NOERASE = 4
| The invalidated area is painted with the background color/pattern.
const short | UPDATE = 8
| The invalidated area is updated immediately.
const short | TRANSPARENT = 16
| The parent window is invalidated, too.
const short | NOTRANSPARENT = 32
| The parent window is not invalidated.
const short | NOCLIPCHILDREN = 16384
| The area is invalidated regardless of overlapping child windows.